@echo off
if "%1"=="" goto err

echo ----
echo -    Double-check that you've entered the right path to your
echo -    Dark Reign directory. If you haven't, the scenario
echo -    won't be properly installed and won't work!
echo -    We're assuming you've entered the directory name
echo -    according to this format:
echo -    onlin1 c:\"program files"\activision\"dark reign"
echo ----

pause

if not exist %1\dark\addon\nul goto makedir

:go

md %1\dark\addon\onlin1

copy onlin1.ftg %1\dark\addon\onlin1

md %1\dark\scenario\single\onlin1

copy onlin1.map %1\dark\scenario\single\onlin1
copy onlin1.scn %1\dark\scenario\single\onlin1
copy tactics.mm %1\dark\scenario\single\onlin1
copy packman.cfg %1\dark\scenario\single\onlin1
copy onlin1.cfg %1\dark\addon\onlin1
copy mlstring.cfg %1\dark\scenario\single\onlin1
copy 3state.fsm %1\dark\scenario\single\onlin1
copy build.txt %1\dark\scenario\single\onlin1
copy dethloss.end %1\dark\scenario\single\onlin1
copy fgrelese.fsm %1\dark\scenario\single\onlin1
copy gamemsg.txt %1\dark\scenario\single\onlin1
copy onlin1.brf %1\dark\scenario\single\onlin1
copy onlin1.end %1\dark\scenario\single\onlin1
copy region.fsm %1\dark\scenario\single\onlin1
copy sight.fsm %1\dark\scenario\single\onlin1
copy super.fsm %1\dark\scenario\single\onlin1
copy superdo.fsm %1\dark\scenario\single\onlin1
copy units.txt %1\dark\scenario\single\onlin1
copy weapon.txt %1\dark\scenario\single\onlin1
copy win.end %1\dark\scenario\single\onlin1

goto success

:success

echo -
echo -    Your game directory is now updated with the new mission!
echo -
goto end

:err

echo /--------------------------------------------------------------------\
echo -    Enter the directory in which you installed Dark Reign.   -
echo -                                                                    -
echo -    eg: onlin1 c:\"program files"\activision\"dark reign"            -
echo \--------------------------------------------------------------------/
pause
goto end

:makedir

@md %1\dark\addon

goto go

:end

